%define upstream_name    XML-Grammar-Vered
%define upstream_version 0.0.9

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    A vered by any other name will translate as sweet
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(autodie)
BuildRequires: perl(Module::Build)
BuildRequires: perl(MooX)
BuildRequires: perl(XML::GrammarBase::Role::RelaxNG)
BuildRequires: perl(XML::GrammarBase::Role::XSLT)
BuildRequires: perl(Test::XML::Ordered)
BuildArch: noarch

%description
Vered-XML is a custom (and incredibly ad-hoc) XML grammar, which was
created for the ability to more easily write and maintain the “Perl
Elements to Avoid” page over at the
http://perl-begin.org/tutorials/bad-elements/ manpage . You may find it
suitable, but chances are you won't. If you find it lacking in a certain
respect, you can either send me a diff to the RNG and XSLT (and hopefully
automated tests as well), or file a bug report and I'll see what I can do.

Vered gets translated to DocBook 5/XML, and from there to other formats.

“Vered” is the Hebrew word for “a rose”, and I came up with the name
because I did not know what to call this format, and thought of “a rose by
any other name will smell as sweet”.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc README Changes LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.0.9-5.mga6
+ Revision: 1036023
- Rebuild for perl 5.22.2

* Wed Feb 17 2016 umeabot <umeabot> 0.0.9-4.mga6
+ Revision: 963880
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.9-3.mga5
+ Revision: 749032
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat May 17 2014 shlomif <shlomif> 0.0.9-1.mga5
+ Revision: 623186
- Add missing BR
- Add missing BRs
- imported package perl-XML-Grammar-Vered


* Sat May 17 2014 cpan2dist 0.0.9-1mga
- initial mageia release, generated with cpan2dist
